VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo:

## Classes
class | SchemeType

## Avaliable Methods
public method | set_session_manager ()
public method | get_scheme_type ()
public method | set_scheme_type ()
public method | get_session_manager ()
public method | new ()
public method | set_scheme ()
public method | get_scheme ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo` class describes the authentication information. Authentication information could be specified for a package element, service elenent or an operation element.

Using the authentication scheme information, a client invoking an API call from any interface* can figure out what kind of credentials are needed for that API call.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::get_scheme | ( |  | ) |

Gets the value of 'scheme' property.

Return values

  scheme | - The current value of the field. String identifier of the authentication scheme.

Following are the supported authentication schemes by the infrastructure:

- The identifier `com.vmware.vapi.std.security.saml_hok_token` for SAML holder of key token based authentication mechanism.
- The identifier `com.vmware.vapi.std.security.bearer_token` for SAML bearer token based authentication mechanism.
- The identifier `com.vmware.vapi.std.security.session_id` for session based authentication mechanism.
- The identifier `com.vmware.vapi.std.security.user_pass` for username and password based authentication mechanism.

String#

Code:
click to view
# Number of lines of code in get_scheme: 4
sub get_scheme {
my ($self, %args) = @_;
return $self->{'scheme'};
}

public method Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::get_scheme_type | ( |  | ) |

Gets the value of 'scheme_type' property.

Return values

  scheme_type | - The current value of the field. The type of the authentication scheme. SchemeType#

Code:
click to view
# Number of lines of code in get_scheme_type: 4
sub get_scheme_type {
my ($self, %args) = @_;
return $self->{'scheme_type'};
}

public method Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::get_session_manager | ( |  | ) |

Gets the value of 'session_manager' property.

Return values

  session_manager | - The current value of the field. In a session aware authentication scheme, a session manager is required that supports `create` , `delete` and `keepAlive` methods . The fully qualified interface* name of the session manager is provided in :attr:`Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo.session_manager` field* . This interface is responsible for handling sessions. optional#

Code:
click to view
# Number of lines of code in get_session_manager: 4
sub get_session_manager {
my ($self, %args) = @_;
return $self->{'session_manager'};
}

public method Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 28
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'scheme_type',
'case_map' => {
'SESSION_AWARE' => ['session_manager'],
'SESSIONLESS' => [],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{scheme_type} = $args{'scheme_type'};
$self->{session_manager} = $args{'session_manager'};
$self->{scheme} = $args{'scheme'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.authentication.authentication_info');
$self->set_binding_field('key' => 'scheme_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Authentication', 'type_name' => 'AuthenticationInfo::SchemeType'));
$self->set_binding_field('key' => 'session_manager', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'scheme', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::set_scheme | ( |  | ) |

Sets the given value for 'scheme' property.

Parameters

  scheme | - New value for the field. String identifier of the authentication scheme.

Following are the supported authentication schemes by the infrastructure:

- The identifier `com.vmware.vapi.std.security.saml_hok_token` for SAML holder of key token based authentication mechanism.
- The identifier `com.vmware.vapi.std.security.bearer_token` for SAML bearer token based authentication mechanism.
- The identifier `com.vmware.vapi.std.security.session_id` for session based authentication mechanism.
- The identifier `com.vmware.vapi.std.security.user_pass` for username and password based authentication mechanism.

Code:
click to view
# Number of lines of code in set_scheme: 5
sub set_scheme {
my ($self, %args) = @_;
$self->{'scheme'} = $args{'scheme'};
return;
}

public method Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::set_scheme_type | ( |  | ) |

Sets the given value for 'scheme_type' property.

Parameters

  scheme_type | - New value for the field. The type of the authentication scheme.

Code:
click to view
# Number of lines of code in set_scheme_type: 5
sub set_scheme_type {
my ($self, %args) = @_;
$self->{'scheme_type'} = $args{'scheme_type'};
return;
}

public method Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::set_session_manager | ( |  | ) |

Sets the given value for 'session_manager' property.

Parameters

  session_manager | - New value for the field. In a session aware authentication scheme, a session manager is required that supports `create` , `delete` and `keepAlive` methods . The fully qualified interface* name of the session manager is provided in :attr:`Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo.session_manager` field* . This interface is responsible for handling sessions.

Code:
click to view
# Number of lines of code in set_session_manager: 5
sub set_session_manager {
my ($self, %args) = @_;
$self->{'session_manager'} = $args{'session_manager'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Authentication/AuthenticationInfo.pm